<?php
require_once 'header.php';
require_once 'connect.php';
require_once 'erpc_usuarios_grupo_toolbar.php';

$id_grupo=0;
/* GET da lista de grupos de usuários */
if(isset($_GET['id_grupo_crip'])){
  $id_grupo = base64_decode($_GET['id_grupo_crip']);
}

if(isset($_POST['id_grupo'])){
  $id_grupo = $_POST['id_grupo'];
}



?>

<!-- Nav tabs -->
<ul class="nav nav-tabs" role="tablist">
  <li role="presentation" class="active"><a href="#form1" aria-controls="form1" role="tab" data-toggle="tab">Dados Cadastrais</a></li>
  <!--
  <li role="presentation"><a href="#form2" aria-controls="form2" role="tab" data-toggle="tab">Form #2</a></li>
  <li role="presentation"><a href="#form3" aria-controls="form3" role="tab" data-toggle="tab">Form #3</a></li>
  <li role="presentation"><a href="#form4" aria-controls="form4" role="tab" data-toggle="tab">Form #4</a></li>
  -->
</ul>

<!-- Tab panes -->
<div class="block">
<div class="tab-content">
<div role="tabpanel" class="tab-pane fade in active" id="form1">
<form id=validate_custom method=POST action="erpc_grupo_funcionalidade_ws.php">
  <div class=block>
    <div class=header>
      <h2>Configurar Acesso as Funcionalidades por Grupo de Usuários:</h2>
    </div>

    <div class="content controls">
    <?php  displayMessagesAndErrors();?>

    <div class="form-row">
      <div class="col-md-2"><label for="id_grupo">Grupo de Usuário:</label></div>
      <div class="col-md-4">
        <select id="id_grupo" name="id_grupo">
        <option value="0">{ Não Selecionado}</option>
        <?
        $consulta = "select * from erpc_usuarios_grupo where st_ativo=1";
        // echo $consulta;
        $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
        if (mysqli_num_rows($resultado)>0) {
          while ($registro = mysqli_fetch_assoc($resultado)){
            $s_id = $registro['id'];
            $s_ds = $registro['ds_grupo'];

            if($s_id==$id_grupo){
              echo "<option value='$s_id' selected>$s_ds</option>";
            }else{
              echo "<option value='$s_id'>$s_ds</option>";
              }
            }
        }

        ?>
        </select>
      </div>
    </div>

    <!-- Utilizei o a div para limpar a seleção, caso seja selecionado errado  -->
    <div id="post-result" class="form-row">
        <div class="table-responsive">
        <table class="table table-bordered table-responsible sortable">
        <!-- <table class="table table-bordered table-striped table-responsible sortable">-->
          <thead>
            <tr>
              <th width=02%  class='text-center'><input type="checkbox" class="checkall" /></th>
              <th width=10%>ID</th>
              <th width=30%>Funcionalidade</th>
              <th width=40%>Path</th>
              <!-- <th width=10%>Existente?</th>-->
            </tr>
          </thead>
          <tbody>
            <?php
            $consulta = "
  select f.id, f.ds_funcionalidade, f.ds_path_funcionalidade,
         case when exists(select 1 from erpc_grupo_funcionalidade g where g.id_grupo = $id_grupo and g.id_funcionalidade=f.id)
              then 1 else 0 end as st_existe
  from   erpc_funcionalidades f where st_ativo = 1";

              // echo $consulta;

              $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
              if (mysqli_num_rows($resultado)>0) {
                    while ($registro = mysqli_fetch_assoc($resultado)){

                $f_id     = $registro['id'];
                $f_ds     = $registro['ds_funcionalidade'];
                $f_ds_path= $registro['ds_path_funcionalidade'];
                $st_existe= $registro['st_existe'];

                if($st_existe==1){
                  $st_existe = 'checked';
                }

              echo "<tr>";

              echo "<td class='text-center'><input type='checkbox' name='id_funcionalidade[]' $st_existe value='$f_id'/></td>";
              echo "<td>$f_id</td>";
              echo "<td>$f_ds</td>";
              echo "<td>$f_ds_path</td>";

              // echo "<td>$st_existe</td>";

              /*
              echo "<td class='nr_qtde' id='nr_qtde' data-id1='$id' contenteditable></td>";
              echo "<td class='text-center'><button name='btn_excluir' onClick='RemoveFantasmaRow(this)' class='glyphicon glyphicon-remove'></td>";
              echo "<td class='text-center'><a href='javascript:RemoveFantasmaRow(this)'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
              */

              echo "</tr>";
              }
            }
            ?>
          </tbody>
        </table>
      </div>
    </div>

    <div class=footer>
      <div class="side pull-right">
        <div class=btn-group>
		        <button class="btn btn-success" type="submit" value="editar" id="btn-editar" name="btn-editar">Editar</button>
            <button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button>
		    </div>
      </div>
    </div>

  </div>
</form>
</div>
</div>
</div>


<?php include 'footer.php'; ?>
<script type="text/javascript">

$(document).ready(function () {

  $('#id_grupo').on('change', function () {
    $("#validate_custom").attr('action', 'erpc_grupo_funcionalidade_edit.php');
    $('#validate_custom').submit();
  });


}(jQuery));
</script>
